<template>
  <div class="screen-common-component">
    <ScreenComHeader :module-id="moduleId" title="订单信息" />
    <dv-scroll-board
      :config="config"
      style="width: 100%; height: calc(100% - 32px)"
      @mouseover="tableHover"
    />
  </div>
</template>

<script lang="ts" setup>
import ScreenComHeader from "@/views/screens/configs/screenComHeader.vue";
import { productionPlan } from "@/api/screens";

const config = ref({});

const props = defineProps({
  moduleId: {
    type: String,
    required: true,
  },
});
const bigScreenData: any = inject("bigScreenData");
onMounted(async () => {
  let res = await productionPlan();
  if (res.data.length > 0) {
    let dicts = {
      orderName: `<span style='font-size:${bigScreenData.value.fontSize * 2.3}px'>名称</span>`,
      orderNum: `<span style='font-size:${bigScreenData.value.fontSize * 2.3}px'>数量</span>`,
      deliverTime: `<span style='font-size:${bigScreenData.value.fontSize * 2.3}px'>交期</span>`,
    };

    let bigData: any[] = [];
    res.data.forEach((item: any) => {
      let row = [
        `<span style='font-size:${bigScreenData.value.fontSize* 2}px'>${item.orderName}</span>`,
        `<span style='font-size:${bigScreenData.value.fontSize* 2}px'>${item.orderNum}</span>`,
        `<span style='font-size:${bigScreenData.value.fontSize* 2}px'>${item.deliverTime}</span>`,
      ];
      bigData.push(row);
    });

    config.value = {
      header: Object.values(dicts),
      data: bigData,
      // index: true,
      // columnWidth: [50],
      align: ["left"],
      carousel: "page",
      click: (row: any, index: number) => {
        console.log("mouseover", row, index);
      },
    };
  }
});

const tableHover = (data: any) => {
  // console.log("mouseover", data.row[data.columnIndex]);
};
</script>
